> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IP restriction

> Get whether IP restriction is on and the allowed IP ranges, most recently changed first.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/ip-restriction.yaml GET /ip_restriction
openapi: 3.0.3
info:
  title: NeetoForm IP Restriction APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: IP Restriction
    description: APIs to read the IP restriction settings of the workspace.
paths:
  /ip_restriction:
    get:
      tags:
        - IP Restriction
      summary: Get IP restriction
      description: >-
        Get whether IP restriction is on and the allowed IP ranges, most
        recently changed first.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ip_restriction_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    ip_restriction_response:
      type: object
      properties:
        is_ip_restriction_enabled:
          type: boolean
          description: >-
            Whether the workspace only accepts traffic from the allowed IP
            ranges.
          example: true
        allowed_ip_ranges:
          type: array
          description: Allowed IP ranges, most recently changed first.
          items:
            $ref: '#/components/schemas/allowed_ip_range'
    allowed_ip_range:
      type: object
      properties:
        id:
          type: string
          example: 9e2c5b1a-3d4f-4a6b-8c7d-0e1f2a3b4c5d
        address_type:
          type: string
          enum:
            - ipv4
            - ipv6
          example: ipv4
        ip_start:
          type: string
          example: 10.0.0.1
        ip_end:
          type: string
          example: 10.0.0.255

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.